<div class="checkout-billing-address">

    <div class="billing-address-same-as-shipping-block field choice custom-checkbox" data-bind="visible: canUseShippingAddress()">
        <input type="checkbox" name="billing-address-same-as-shipping"
               data-bind="checked: isAddressSameAsShipping, click: useShippingAddress, attr: {id: 'billing-address-same-as-shipping-' + getCode($parent)}"/>
        <label data-bind="attr: {for: 'billing-address-same-as-shipping-' + getCode($parent)}"><span
                data-bind="i18n: 'My billing and shipping address are the same'"></span></label>
    </div>
    <!-- ko ifnot: isAddressSameAsShipping -->
        <!-- ko template: 'Magento_Checkout/billing-address/details' --><!-- /ko -->
    <!-- /ko -->
    <fieldset class="fieldset" data-bind="visible: !isAddressDetailsVisible()">
        <!-- ko template: 'Magento_Checkout/billing-address/list' --><!-- /ko -->
        <!-- ko template: 'Magento_Checkout/billing-address/form' --><!-- /ko -->
        <div class="actions-toolbar margin-bottom30">
            <div class="primary">
                <button class="action action-update btn btn-secondary" type="button" data-bind="click: updateAddress">
                    <span data-bind="i18n: 'Update'"></span>
                </button>
                <button class="action action-cancel btn btn-primary" type="button" data-bind="click: cancelAddressEdit">
                    <span data-bind="i18n: 'Cancel'"></span>
                </button>
            </div>
        </div>
    </fieldset>

</div>
